Page MenuHomePhabricator

[selectiondag] Check PromotedFloats map during expansive checks.
ClosedPublic

Authored by fhahn on Dec 30 2016, 3:34 PM.

Details

Summary

PromotedFloats needs to be checked in
DAGTypeLegalizer::PerformExpensiveChecks. This patch fixes a few type
legalization failures with expansive checks for ARM fp16 tests.

Diff Detail

Event Timeline

fhahn updated this revision to Diff 82748.Dec 30 2016, 3:34 PM
fhahn retitled this revision from to [selectiondag] Check PromotedFloats map during expansive checks..
fhahn updated this object.
fhahn added reviewers: baldrick, bogner.
fhahn added a subscriber: llvm-commits.
arsenm accepted this revision.Dec 31 2016, 11:13 AM
arsenm added a reviewer: arsenm.
arsenm added a subscriber: arsenm.

LGTM

This revision is now accepted and ready to land.Dec 31 2016, 11:13 AM
fhahn updated this object.Jan 1 2017, 6:08 AM
fhahn edited edge metadata.
fhahn closed this revision.Jan 1 2017, 6:09 AM